# OpalAudioMixer::AudioStream Struct Reference

`#include <opalmixer.h>`

Collaboration diagram for OpalAudioMixer::AudioStream:

[legend]

## Public Member Functions

| AudioStream (OpalAudioMixer &mixer)
| ~AudioStream ()
virtual void | QueuePacket (const RTP_DataFrame &rtp)
const short * | GetAudioDataPtr ()

## Data Fields

OpalAudioMixer & | m_mixer
OpalJitterBuffer * | m_jitter
unsigned | m_nextTimestamp
PShortArray | m_cacheSamples
size_t | m_samplesUsed

## Constructor & Destructor Documentation

OpalAudioMixer::AudioStream::AudioStream | ( | OpalAudioMixer & | mixer | ) |

OpalAudioMixer::AudioStream::~AudioStream | ( |  | ) |

## Member Function Documentation

const short* OpalAudioMixer::AudioStream::GetAudioDataPtr | ( |  | ) |

virtual void OpalAudioMixer::AudioStream::QueuePacket | ( | const RTP_DataFrame & | rtp | ) | `[virtual]`

## Field Documentation

PShortArray OpalAudioMixer::AudioStream::m_cacheSamples

OpalJitterBuffer* OpalAudioMixer::AudioStream::m_jitter

OpalAudioMixer& OpalAudioMixer::AudioStream::m_mixer

unsigned OpalAudioMixer::AudioStream::m_nextTimestamp

size_t OpalAudioMixer::AudioStream::m_samplesUsed

The documentation for this struct was generated from the following file:

- opalmixer.h